geronimo-scm mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From bsny...@apache.org
Subject svn commit: r226421 - /geronimo/trunk/modules/assembly/src/scripts/deploy.sh
Date Fri, 29 Jul 2005 23:17:42 GMT
Author: bsnyder
Date: Fri Jul 29 16:17:39 2005
New Revision: 226421

URL: http://svn.apache.org/viewcvs?rev=226421&view=rev
Log:
Added a deploy script.

Added:
    geronimo/trunk/modules/assembly/src/scripts/deploy.sh   (with props)

Added: geronimo/trunk/modules/assembly/src/scripts/deploy.sh
URL: http://svn.apache.org/viewcvs/geronimo/trunk/modules/assembly/src/scripts/deploy.sh?rev=226421&view=auto
==============================================================================
--- geronimo/trunk/modules/assembly/src/scripts/deploy.sh (added)
+++ geronimo/trunk/modules/assembly/src/scripts/deploy.sh Fri Jul 29 16:17:39 2005
@@ -0,0 +1,41 @@
+#!/bin/sh
+#
+#  Copyright 2005 The Apache Software Foundation
+# 
+#   Licensed under the Apache License, Version 2.0 (the "License");
+#   you may not use this file except in compliance with the License.
+#   You may obtain a copy of the License at
+# 
+#      http://www.apache.org/licenses/LICENSE-2.0
+# 
+#   Unless required by applicable law or agreed to in writing, software
+#   distributed under the License is distributed on an "AS IS" BASIS,
+#   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+#   See the License for the specific language governing permissions and
+#   limitations under the License.
+
+# --------------------------------------------------------------------
+# $Rev$ $Date$
+# --------------------------------------------------------------------
+
+DEPLOYER_JAR=deployer.jar
+ARGS=
+
+if [ -z "$JAVA_HOME" ]; then
+    JAVA=`which java`
+    if [ -z "$JAVA" ]; then
+        echo "Unable to locate Java binary. Please add it to the PATH."
+        exit 1
+    fi
+    JAVA_BIN=`dirname $JAVA`
+    JAVA_HOME=$JAVA_BIN/..
+fi
+
+JAVA=$JAVA_HOME/bin/java
+
+if [ ! -f "$DEPLOYER_JAR" ]; then 
+    echo "Unable to locate the $DEPLOYER_JAR jar"
+    exit 1
+fi
+
+$JAVA $ARGS -jar $DEPLOYER_JAR "$@"

Propchange: geronimo/trunk/modules/assembly/src/scripts/deploy.sh
------------------------------------------------------------------------------
    svn:executable = *



Mime
View raw message